<?php
/**
 * API class.
 *
 * @package ServiceEZ
 * @subpackage Core
 * @since 1.0.0
 */

namespace ServiceEZ\Core;

use ServiceEZ\Traits\Base;
use ServiceEZ\Libs\API\Config;

/**
 * Class API
 *
 * Initializes and configures the API for the ServiceEZ.
 *
 * @package ServiceEZ\Core
 */
class API {

	use Base;

	/**
	 * Initializes the API for the ServiceEZ.
	 *
	 * @return void
	 */
	public function init() {
		Config::set_route_file( SEZ_DIR . '/includes/Routes/Api.php' )
			->set_namespace( 'ServiceEZ\Api' )
			->init();
	}
}
