<?php
/**
 * Email helper class.
 *
 * @package ServiceEZ
 * @subpackage Helpers
 * @since 1.0.0
 */

namespace ServiceEZ\Helpers;

/**
 * Email helper class.
 */
class EmailHelper {
	/**
	 * Send email.
	 *
	 * @param string $to The recipient's email address.
	 * @param string $subject The email subject.
	 * @param string $message The email message.
	 * @return bool
	 */
	public static function send_email( $to, $subject, $message ) {
		$headers = array( 'Content-Type: text/html; charset=UTF-8' );

		try {
			wp_mail( $to, $subject, $message, $headers );
		} catch ( \Exception $e ) {
			return false;
		}

		return true;
	}
}
