<?php
/**
 * Client model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */

namespace ServiceEZ\Models;

use Prappo\WpEloquent\Database\Eloquent\Model;

/**
 * Client model class.
 *
 * @package ServiceEZ
 * @subpackage Models
 * @since 1.0.0
 */
class Client extends Model {

	/**
	 * Table name.
	 *
	 * @var string
	 */
	protected $table = 'serviceez_clients';

	/**
	 * Fillable fields.
	 *
	 * @var array
	 */
	protected $fillable = array(
		'firstName',
		'lastName',
		'email',
		'phone',
		'address_line1',
		'address_line2',
		'city',
		'state',
		'postal_code',
		'country',
		'user_id',
	);

	/**
	 * Orders relationship.
	 *
	 * @return \Illuminate\Database\Eloquent\Relations\HasMany
	 */
	public function orders() {
		return $this->hasMany( Order::class );
	}

	/**
	 * User relationship.
	 *
	 * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
	 */
	public function user() {
		return $this->belongsTo( Users::class );
	}
}
