import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import { resolve } from 'path';

export default defineConfig({
  plugins: [react({
    babel: {
      plugins: [
        ['@babel/plugin-transform-react-jsx', {
          pragma: 'wp.element.createElement',
          pragmaFrag: 'wp.element.Fragment'
        }]
      ]
    }
  })],
  build: {
    outDir: 'build',
    rollupOptions: {
      input: resolve(__dirname, 'index.js'),
      output: {
        entryFileNames: '[name].js',
        chunkFileNames: '[name].js',
        assetFileNames: '[name].[ext]'
      },
      external: ['@wordpress/block-editor', '@wordpress/blocks', '@wordpress/i18n']
    }
  },
  define: {
    'process.env.NODE_ENV': '"production"',
    global: 'window'
  }
}); 